%global sname distroinfo
%global summary Parsing and querying distribution metadata stored in text/YAML files
%global desc\
distroinfo is a python module for parsing, validating and querying\
distribution/packaging metadata stored in human readable and review-able\
text/YAML files.\
\
distroinfo is a generic (re)implementation of rdoinfo parser which proved\
well suited for the task of interfacing with distribution metadata in a human\
friendly way. If you consider code reviews human friendly, that is.\

%if 0%{?fedora}
%global with_python3 1
%endif


Name:             python-distroinfo
Version:          0.0.1
Release:          3%{?dist}
Summary:          %{summary}
License:          ASL 2.0
URL:              https://github.com/softwarefactory-project/distroinfo
Source0:          https://pypi.io/packages/source/d/distroinfo/distroinfo-%{version}.tar.gz
BuildArch:        noarch

%description %desc


%package -n python2-%{sname}
Summary:          %{summary}
Requires:         git-core
Requires:         python2-pbr
Requires:         PyYAML
Requires:         python2-requests
Requires:         python2-six
BuildRequires:    python2-setuptools
BuildRequires:    python2-devel
BuildRequires:    python2-pbr
# for %%check tests
BuildRequires:    git-core
BuildRequires:    python2-pytest-runner
BuildRequires:    PyYAML
BuildRequires:    python2-requests
BuildRequires:    python2-six
%{?python_provide:%python_provide python2-%{sname}}

%description -n python2-%{sname} %{desc}


%if 0%{?with_python3}
%package -n python3-%{sname}
Summary:          %{summary}
Requires:         git-core
Requires:         python3-pbr
Requires:         python3-PyYAML
Requires:         python3-requests
Requires:         python3-six
BuildRequires:    python3-setuptools
BuildRequires:    python3-devel
BuildRequires:    python3-pbr
# for %%check tests
BuildRequires:    git-core
BuildRequires:    python3-pytest-runner
BuildRequires:    python3-requests
BuildRequires:    python3-PyYAML
BuildRequires:    python3-six
%{?python_provide:%python_provide python3-%{sname}}

%description -n python3-%{sname} %{desc}
%endif


%prep
%setup -q -n distroinfo-%{version}

# let RPM handle the requirements
rm -f {test-,}requirements.txt

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%check
# Old versions of test reqs present in EL7 don't support
# tox.ini:pytest.testpath option which is used to selcet
# offline tests only by default.
# Nuke online tests to ensure they are never run during build.
rm -rf tests/integration

%if 0%{?with_python3}
%{__python3} setup.py test
%endif
%{__python2} setup.py test

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{sname}
%doc README.md AUTHORS
%license LICENSE
%{python2_sitelib}/%{sname}
%{python2_sitelib}/distroinfo-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{sname}
%doc README.md AUTHORS
%license LICENSE
%{python3_sitelib}/%{sname}
%{python3_sitelib}/distroinfo-%{version}-py?.?.egg-info
%endif


%changelog
* Wed May 30 2018 Jakub Ružička <jruzicka@redhat.com> 0.0.1-3
- Add missing Requires: git-core
- Make sure online tests are never run during build.

* Wed May 30 2018 Jakub Ruzicka <jruzicka@redhat.com> 0.0.1-2
- Use python2-six to comply with python packaging guidelines.
- Use macros for summary and description to prevent redundancy.

* Thu May 24 2018 Jakub Ruzicka <jruzicka@redhat.com> 0.0.1-1
- Initial version
